using System.Data.Entity;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using Autofac.Integration.Mvc;
using Cmdjy.Dal;

namespace Cmdjy
{
    public class MvcApplication:System.Web.HttpApplication
    {
        protected void Application_Start() {

            DependencyResolver.SetResolver(new AutofacDependencyResolver(IOC.Factory));

            if(WebSettings.AutoMigrations) {
                Database.SetInitializer(new MigrateDatabaseToLatestVersion<DjyDbContext,Configuration>());
            }
            else {
                Database.SetInitializer<DjyDbContext>(null);
            }

            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }
    }
}
